Can't upgrading system

Hi!
Run

sudo dnf upgrade --refresh

Dnf downloaded update package, but not install it.
Error

Ошибка: Ошибка при проверке транзакции:
  конфликт файла /usr/share/doc/libxml2-devel/examples/Makefile при попытках установки libxml2-devel-2.9.12-2.fc34.i686 и libxml2-devel-2.9.12-2.fc34.x86_64

en

Error: Error checking transaction:
  file conflict /usr/share/doc/libxml2-devel/examples/Makefile when trying to install libxml2-devel-2.9.12-2.fc34.i686 and libxml2-devel-2.9.12-2.fc34.x86_64

help plz

1 Like

Hi @aleksandershad , welcome to the forum! Please take a minute to go through the introductory posts in the #start-here category if you’ve not had a chance to do so yet.

You should be able to work around this issue by removing the libxml2-devel.i686 package:

sudo dnf remove libxml2-devel.i686

If you need this package, it’s best to remove it, upgrade and then reinstall it.

2 Likes

Hi @ankursinha , thank you.
I’m remove package, upgraded system, all ok, but package libxml2-devel.i686 not a more install :slight_smile:
Error

Error: Error checking transaction:
file /usr/share/doc/libxml2-devel/examples/Makefile from the package being installed libxml2-devel-2.9.12-2.fc34.i686 conflicts with a file from a package libxml2-devel-2.9.12-2.fc34.x86_64

Nothing wrong?

1 Like

You probably don’t need the i686 package unless you are running a 32 bit system. I would leave it alone.
Also, the package of concern is a devel package and unless you are actually involved in doing development for xml then you certainly don’t need it.

1 Like

i see, thanks

1 Like

That looks like a packaging bug, unfortunately. Only architecture independent files, which will be identical in the x86_64 and i686 builds, should go into /usr/share.

I see a bug already filed here:

https://bugzilla.redhat.com/show_bug.cgi?id=1964479

You can login to bugzilla using your Fedora account and comment on the bug if you wish.

1 Like

thank you

1 Like

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.